package ru.sweetbread.unn.db

import androidx.room.Database
import androidx.room.RoomDatabase

@Database(entities = [
    UserDB::class,
    BuildingDB::class,
    AuditoriumDB::class,
    DisciplineDB::class,
    KindOfWorkDB::class,
    LecturerDB::class,
    ScheduleUnitDB::class], version = 1)
abstract class AppDatabase : RoomDatabase() {
    abstract fun userDao(): UserDao
    abstract fun scheduleDao(): ScheduleItemDao
    abstract fun auditoriumDao(): AuditoriumDao
    abstract fun buildingDao(): BuildingDao
    abstract fun disciplineDao(): DisciplineDao
    abstract fun kindOfWorkDao(): KindOfWorkDao
    abstract fun lecturerDao(): LecturerDao
}
